# Apple Business Manager API Module for PowerShell
PowerShell Module that authenticates and gets data from the Apple Business Manager APIs
## Installing the module
This module can be installed [from the PowerShell Gallery][powershell-gallery] using the following command:
```PowerShell
Install-Module -Name ABMPS
```
## Converting your private key
The private key that you can download from the Apple Business Manager portal isn't in a format that is currently supported. To use this module, you'll need to convert it, for example, using openssl:
```shell
openssl pkcs8 -topk8 -inform PEM -outform PEM -in FROM_APPLE_PATH.pem -out CONVERTED_PATH.pem -nocrypt
```
# Using the module
After converting, you can connect to Apple Business Manager's APIs with the following commands, then use other commands to retrieve data:
```PowerShell
$PrivateKey = (Get-Content -Path 'CONVERTED_PATH.pem') -join ''

Connect-AppleBusinessManager -ClientId 'YOUR_CLIENT_ID' -PrivateKey $PrivateKey -PrivateKeyId 'YOUR_PRIVATE_KEY_ID'

Get-AppleBusinessManagerOrgDevices
```

[powershell-gallery]: https://www.powershellgallery.com/packages/ABMPS/